Delete a field definition from this fieldset
Delete a field definition from this fieldset
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
fieldset_id
ID of the Fieldset.
Request
This endpoint expects an object.
fieldId
The API ID of the field to delete from the fieldset.
Response
OK
__typename
archiveReason
Reason the Fieldset was archived
archived
If the Fieldset is archived
availableRegistrationNamingOptions
The registration naming strategies available for entities of implementing schemas. Determines how entities are named when registered.
constraint
Uniqueness constraint configuration for registered entities of schemas that implement this fieldset.
Ensures that a specified combination of field values is unique across those entities. Null means no
constraint.
createdAt
DateTime the Fieldset was created
description
The description of this Fieldset.
displayName
The user-facing name of this fieldset.
fieldDefinitions
The field definitions that all schemas implementing this fieldset are required to include.
id
itemIdPrefix
Prefix string prepended to generated entity IDs. Setting this on a fieldset replaces the entity ID prefix on all implementing schemas.
itemType
The entity item type that schemas implementing this Fieldset contain (e.g. DNA_SEQUENCE, AA_SEQUENCE, MIXTURE). Null when the Fieldset declares no base bioentity type.
modifiedAt
DateTime the Fieldset was last modified
nameTemplate
Entity name template that auto-generates names for entities of implementing schemas when they are
registered. Used in conjunction with availableRegistrationNamingOptions. Null means no template.
organization
Organization the Fieldset is in
systemName
The machine-readable identifier for warehouse and API access.
Errors
400
Fieldset Delete Field Request Bad Request Error
403
Fieldset Delete Field Request Forbidden Error
404
Fieldset Delete Field Request Not Found Error
409
Fieldset Delete Field Request Conflict Error
429
Fieldset Delete Field Request Too Many Requests Error
500
Fieldset Delete Field Request Internal Server Error